// Author 		: F. de la Parra
// Date			: February, 2019
// Description 	: Class 'ClassListTest' implements tests for class 'ClassList'
//                to be run in the JUnit 5 unit-testing framework. 
// Version		: 1.0

/**
 * 
 */
package classProject;

import static org.junit.jupiter.api.Assertions.*;

import org.junit.jupiter.api.AfterAll;
import org.junit.jupiter.api.AfterEach;
import org.junit.jupiter.api.BeforeAll;
import org.junit.jupiter.api.BeforeEach;
import org.junit.jupiter.api.Test;

/**
 * @author Francisco
 *
 */
class ClassListTest {

	/**
	 * @throws java.lang.Exception
	 */
	@BeforeAll
	static void setUpBeforeClass() throws Exception {
		System.out.println("Settings things up before class ClassList");
	}

	/**
	 * @throws java.lang.Exception
	 */
	@AfterAll
	static void tearDownAfterClass() throws Exception {
		System.out.println("Settings things up before testing a method in class ClassList.");
	}

	/**
	 * @throws java.lang.Exception
	 */
	@BeforeEach
	void setUp() throws Exception {
		System.out.println("Settings things up before testing a method in class ClassList.");
	}

	/**
	 * @throws java.lang.Exception
	 */
	@AfterEach
	void tearDown() throws Exception {
		System.out.println("Closing things up after testing a method in class ClassList.");
	}

	@Test
	void testPrintJohn() {
		System.out.println("Running test on method 'testPrintJohn' of class 'ClassList'");
		ClassList cList = new ClassList();
		Student John = new Student("John", "Smith", 1);
		assertEquals(cList.printJohn(John), true, "Testing that we really print John");
	}

	@Test
	void dummyTest() {
		fail("Not yet implemented");
	}
}
